<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product->is_visible() )
return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
$classes[] = 'last';
$classes[]=' col'.$woocommerce_loop['columns'];

$classes[]=' product ';
require(get_template_directory().'/inc/cb-page-options.php');
?>
<li <?php post_class( $classes ); ?>>
	<div class="product_in fade_woo">

		<a href="<?php the_permalink(); ?>"><?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

		<?php
		/**
		 * woocommerce_before_shop_loop_item_title hook
		 *
		 * @hooked woocommerce_show_product_loop_sale_flash - 10
		 * @hooked woocommerce_template_loop_product_thumbnail - 10
		 */
		do_action( 'woocommerce_before_shop_loop_item_title' );
		?>



			<h3>
			<?php the_title(); ?>
			</h3>
			<div class="product_desc">
			<?php
			echo $prod_slogan;
			echo '<div class="desci">'.strip_cn(get_the_content(), 140).'</div>';?>
			</div> <?php
			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
			?> </a>
		<div class="cart_container">
			<div class="fade_cart">
			<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
			</div>
			<div class="cart_placeholder">
			<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
			</div>
		</div>
		<div class="addi">
			<a class="bttn alt" href="<?php echo get_permalink();?>"><?php _e('Details','cb-cosmetico');?>
			</a>
			<?php echo do_shortcode('[yith_wcwl_add_to_wishlist]');?>
		</div>

	</div>
	<div class="rbor"></div>
	<div class="cl_hide">
		<div class="cl"></div>
	</div>
</li>
